package com.kexue.skills.service;
import com.github.pagehelper.PageInfo;

import com.kexue.skills.entity.SysDict;
import com.kexue.skills.entity.dto.SysDictDto;
import java.util.List;
import java.util.Map;

/**
 * 系统字典表(SysDict)表服务接口
 *
 * @author 王志维
 * @since 2025-02-21 23:01:48
 */
public interface SysDictService extends BaseService {

    /**
     * 分页查询
     *
     * @param sysDictDto 筛选条件
     * @return 查询结果
     */
    PageInfo<SysDict> getPageList(SysDictDto sysDictDto);

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    SysDict queryById(Long id);

    /**
     * 查询多条数据
     *
     * @param offset 查询起始位置
     * @param limit 查询条数
     * @return 对象列表
     */
    List<SysDict> queryAllByLimit(int offset, int limit);

    /**
     * 新增数据
     *
     * @param sysDict 实例对象
     * @return 实例对象
     */
    SysDict insert(SysDict sysDict);

    /**
     * 修改数据
     *
     * @param sysDict 实例对象
     * @return 实例对象
     */
    SysDict update(SysDict sysDict);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Long id);


    List<SysDict> getAllDictCode();

    public Map<String,List<SysDict>> getAllDictMap();

    List<SysDict> getListByDictCode(String dictCode);

}
